# GenieChatMessage

## Properties

|Name | Type | Description | Notes|
|------------ | ------------- | ------------- | -------------|
|**id** | **string** | The unique identifier of the message. | [default to undefined]|
|**sessionId** | **string** | The Genie session this message belongs to. | [default to undefined]|
|**role** | **string** | Who produced the message — &#x60;USER&#x60; for the customer-supplied query, &#x60;ASSISTANT&#x60; for the Genie response. | [default to undefined]|
|**content** | **string** | The natural-language body of the message. | [default to undefined]|
|**createdAt** | **number** | Message creation timestamp in epoch milliseconds. | [optional] [default to undefined]|




[[Back to top]](#) [[Back to API list]](../../README.md#documentation-for-api-endpoints) [[Back to Model list]](../../README.md#documentation-for-models) [[Back to README]](../../README.md)
